Authentication
20 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getSwitchDot1xSetting | GET | Get site switch 802.1x setting |
| updateSwitchDot1xSetting | PATCH | Modify site switch 802.1x setting |
| getSwitchDot1xCandidates | GET | Get site switch 802.1x setting candidates |
| getEapDot1xSetting | GET | Get site eap 802.1x setting |
| updateEapDot1xSetting | PATCH | Modify site EAP 802.1x setting |
| getEapDot1xCandidates | GET | Get site EAP 802.1x setting candidates |
| getPortalCandidates | POST | Get portal SSIDs and networks |
| getMacAuthSetting_1 | GET | Get site MAC-Based Authentication info |
| updateMacAuthSetting_1 | PATCH | Update site MAC-Based Authentication info |
| getMacAuthSsids_1 | GET | Get ssids that support MAC auth |
| addPortal | POST | Add portal |
| deletePortal | DELETE | Delete portal |
| getPortalDetail | GET | Get portal detail |
| modifyPortal | PATCH | Modify portal |
| getPortalCustomization | GET | Get portal customization |
| uploadPortalPage | POST | Import portal page |
| uploadPortalPic | POST | Upload portal picture |
| getGlobalPortalDomainSetting | GET | Get Portal Domain |
| getPortalList | GET | Get portal list in a site |
| getPortalListWithLogoutEnabled | GET | Gets a list of logout enabled portals on the site |
getSwitchDot1xSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/dot1x
Get site switch 802.1x setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getSwitchDot1xSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get switch 802.1x setting of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
updateSwitchDot1xSetting
PATCH /openapi/v1/{omadacId}/sites/{siteId}/dot1x
Modify site switch 802.1x setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema Dot1xSwitchOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Switch 802.1x function enable status |
radiusProfileId | string | yes | This field represents radius profile ID. Radius profile can be created using 'Create a new RADIUS profile' ('Create a new RADIUS profile template') interface, and radius profile ID can be obtained from 'Get RADIUS profile list' ('Get RADIUS profile template list') interface |
authMode | integer | yes | Mode of authentication protocol. AuthMode should be a value as follows: 0: PAP, 1: EAP |
authType | integer | yes | Type of the authentication. AuthType should be a value as follows: 0: Port based, 1: Mac based |
vlanAssign | boolean | yes | VLAN Assignment enable status |
mab | boolean | yes | MAB enable status |
macFormat | integer | yes | Format of the MAC address. MacFormat should be a value as follows: 0: aabbccddeeff, 1: aa-bb-cc-dd-ee-ff, 2: aa:bb:cc:dd:ee:ff, 3: AABBCCDDEEFF, 4: AA-BB-CC-DD-EE-FF, 5: AA:BB:CC:DD:EE:FF |
nasId | string | no | Nas ID,NasId should contain 1~31 characters, except the question mark (?) and double quote ("). |
guestVlan | integer | no | Guest VLAN, clients that have not been authorized will be added to the guest VLAN.The value of guest VLAN should be selected from the created LAN Network. |
switches | array<Dot1xSwitchSettingOpenApiVO> | no | Enabled switch ports, optional when update switch 802.1x setting |
// omada_call_operation
{
"operationId": "updateSwitchDot1xSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify switch 802.1x setting of the site with the given parameters.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-39700 - Switch does not exist
getSwitchDot1xCandidates
GET /openapi/v1/{omadacId}/sites/{siteId}/dot1x/candidates
Get site switch 802.1x setting candidates
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getSwitchDot1xCandidates",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get switch 802.1x setting candidates of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getEapDot1xSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/dot1x/eap
Get site eap 802.1x setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getEapDot1xSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get eap 802.1x setting of the site with the given omadacId and siteId.MAB is enabled by default.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
updateEapDot1xSetting
PATCH /openapi/v1/{omadacId}/sites/{siteId}/dot1x/eap
Modify site EAP 802.1x setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema Dot1xEapOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | EAP 802.1x function enable status |
radiusProfileId | string | no | This field represents radius profile ID. Radius profile can be created using 'Create a new RADIUS profile' ('Create a new RADIUS profile template') interface, and radius profile ID can be obtained from 'Get RADIUS profile list' ('Get RADIUS profile template list') interface |
macFormat | integer | no | Format of the MAC address. MacFormat should be a value as follows: 0: aabbccddeeff, 1: aa-bb-cc-dd-ee-ff, 2: aa:bb:cc:dd:ee:ff, 3: AABBCCDDEEFF, 4: AA-BB-CC-DD-EE-FF, 5: AA:BB:CC:DD:EE:FF |
guestVlanSetting | Dot1xGuestVlanSettingOpenApiVO | no | (Dot1xGuestVlanSettingOpenApiVO not expanded; call omada_get_schema "Dot1xGuestVlanSettingOpenApiVO") |
eaps | array<Dot1xEapSettingOpenApiVO> | no | Enabled eap ports |
// omada_call_operation
{
"operationId": "updateEapDot1xSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify EAP 802.1x setting of the site with the given parameters.MAB is enabled by default.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getEapDot1xCandidates
GET /openapi/v1/{omadacId}/sites/{siteId}/dot1x/eap/candidates
Get site EAP 802.1x setting candidates
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getEapDot1xCandidates",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get EAP 802.1x setting candidates of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getPortalCandidates
POST /openapi/v1/{omadacId}/sites/{siteId}/hotspot/portal/candidates
Get portal SSIDs and networks
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema PortalCandidatesOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
allPortal | boolean | yes | Whether portal privilege is true |
portalIds | array<string> | no | Portal IDs of the requested SSIDs and networks. |
// omada_call_operation
{
"operationId": "getPortalCandidates",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Get SSIDs and network of the portals
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getMacAuthSetting_1
GET /openapi/v1/{omadacId}/sites/{siteId}/mac-auth
Get site MAC-Based Authentication info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getMacAuthSetting_1",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get MAC-Based Authentication setting info of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
updateMacAuthSetting_1
PATCH /openapi/v1/{omadacId}/sites/{siteId}/mac-auth
Update site MAC-Based Authentication info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema UpdateMacAuthOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | MAC-Based Authentication enable status |
ssids | array<string> | yes | SSID ID list with MAC-Based authentication configured. SSID can be created using 'Create new SSID' ('Create new SSID template') interface, and SSID ID can be obtained from 'Get SSID list' ('Get SSID template list') interface |
radiusProfileId | string | no | This field represents radius profile ID. Radius profile can be created using 'Create a new RADIUS profile' ('Create a new RADIUS profile template') interface, and radius profile ID can be obtained from 'Get RADIUS profile list' ('Get RADIUS profile template list') interface |
mabEnable | boolean | no | MAB enable status |
macFormat | integer | no | Format of the MAC address. MacFormat should be a value as follows: 0: aabbccddeeff, 1: aa-bb-cc-dd-ee-ff, 2: aa:bb:cc:dd:ee:ff, 3: AABBCCDDEEFF, 4: AA-BB-CC-DD-EE-FF, 5: AA:BB:CC:DD:EE:FF |
emptyPwdEnable | boolean | no | Whether to enable empty password |
nasId | string | no | NAS ID issued to AP. NasId should contain 1 to 64 characters |
// omada_call_operation
{
"operationId": "updateMacAuthSetting_1",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Update MAC-Based Authentication setting info of the site with the given parameters.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getMacAuthSsids_1
GET /openapi/v1/{omadacId}/sites/{siteId}/mac-auth/ssids
Get ssids that support MAC auth
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getMacAuthSsids_1",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get ssid list that support MAC-Based Authentication with the given omadacId and siteId.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
addPortal
POST /openapi/v1/{omadacId}/sites/{siteId}/portal
Add portal
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema PortalSetting
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Portal Name, should contain 1 to 128 characters |
enable | boolean | yes | Portal Enable |
ssidList | array<string> | no | SSID ID list bound with this Portal. SSID can be created using 'Create new SSID' ('Create new SSID template') interface, and SSID ID can be obtained from 'Get SSID list' ('Get SSID template list') interface |
networkList | array<string> | no | Lan network ID list bound with this Portal. LAN Network can be created using 'Create LAN network' ('Create LAN network template') interface, and LAN Network ID can be obtained from 'Get LAN network list' ('Get LAN network template list') interface |
authType | integer | yes | Auth Type, should be a value as follows: <br/>0:No Authentication; 1:Simple Password;<br/>2: External RADIUS Server; 4:External Portal Server;<br/>11:Hotspot; 15: Ldap; 16: Social Login |
authTimeout | AuthTimeoutSetting | yes | (AuthTimeoutSetting not expanded; call omada_get_schema "AuthTimeoutSetting") |
httpsRedirectEnable | boolean | yes | With this option enabled, unauthenticated clients will be redirected to the Portal page when they are trying to browse HTTPS websites. |
landingPage | integer | yes | LandingPage enum: 1: Redirect to the original URL, 2: Redirect to Promotional URL, 3: Redirect to Logout Page. <br/>With The Original URL selected, clients are directed to the URL they request for after they pass Portal authentication. <br/>With The Promotional URL selected, clients are directed to the specified URL here after they pass Portal authentication. <br/>With The Logout Page selected, clients are directed to the Portal Logout Page after they pass Portal authentication. |
landingUrlScheme | string | no | If Parameter [landingPage] is 2(Redirect to Promotional URL),this Parameter is requested, content is http or https. |
landingUrl | string | no | If Parameter [landingPage] is 2(Redirect to Promotional URL),this Parameter is requested. |
noAuth | NoAuthSetting | no | (NoAuthSetting not expanded; call omada_get_schema "NoAuthSetting") |
simplePassword | SimplePasswordSetting | no | (SimplePasswordSetting not expanded; call omada_get_schema "SimplePasswordSetting") |
hotspot | HotspotSetting | no | (HotspotSetting not expanded; call omada_get_schema "HotspotSetting") |
socialLogin | SocialLoginSettingOpenApiVO | no | (SocialLoginSettingOpenApiVO not expanded; call omada_get_schema "SocialLoginSettingOpenApiVO") |
google | GoogleOAuthSettingOpenApiVO | no | (GoogleOAuthSettingOpenApiVO not expanded; call omada_get_schema "GoogleOAuthSettingOpenApiVO") |
sms | SmsSetting | no | (SmsSetting not expanded; call omada_get_schema "SmsSetting") |
portalFormId | string | no | Portal form ID, required when [authType] is 11 and hotspot [enabledTypes] contains 12. |
hotspotRadius | HotspotRadiusSetting | no | (HotspotRadiusSetting not expanded; call omada_get_schema "HotspotRadiusSetting") |
externalPortal | ExternalServerPortalSetting | no | (ExternalServerPortalSetting not expanded; call omada_get_schema "ExternalServerPortalSetting") |
externalRadius | ExternalRadiusSetting | no | (ExternalRadiusSetting not expanded; call omada_get_schema "ExternalRadiusSetting") |
ldap | LdapSetting | no | (LdapSetting not expanded; call omada_get_schema "LdapSetting") |
pageType | integer | no | Page type, should be a value as follows: 1: Use default page, 2: use uploaded page. When [pageType] is null, it defaults to 1 |
importedPortalPage | ImportedPortalPageOpenApiVO | no | (ImportedPortalPageOpenApiVO not expanded; call omada_get_schema "ImportedPortalPageOpenApiVO") |
portalCustomize | PortalCustomizeOpenApiVO | no | (PortalCustomizeOpenApiVO not expanded; call omada_get_schema "PortalCustomizeOpenApiVO") |
// omada_call_operation
{
"operationId": "addPortal",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Add new portal
The interface requires one of the permissions:
Site Hotspot Manager Modify
deletePortal
DELETE /openapi/v1/{omadacId}/sites/{siteId}/portal/{portalId}
Delete portal
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
portalId | path | string | yes | Portal ID |
// omada_call_operation
{
"operationId": "deletePortal",
"params": {
"siteId": "<siteId>",
"portalId": "<portalId>"
}
}Details, permissions and error codes
Delete portal setting with the given portalId
The interface requires one of the permissions:
Site Hotspot Manager Modify
getPortalDetail
GET /openapi/v1/{omadacId}/sites/{siteId}/portal/{portalId}
Get portal detail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
portalId | path | string | yes | Portal ID |
// omada_call_operation
{
"operationId": "getPortalDetail",
"params": {
"siteId": "<siteId>",
"portalId": "<portalId>"
}
}Details, permissions and error codes
Get portal detail information with the given omadacId, siteId and portalId.
The interface requires one of the permissions:
Site Hotspot Manager View Only
modifyPortal
PATCH /openapi/v1/{omadacId}/sites/{siteId}/portal/{portalId}
Modify portal
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
portalId | path | string | yes | Portal ID |
Request body — application/json (required) — schema PortalSetting
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Portal Name, should contain 1 to 128 characters |
enable | boolean | yes | Portal Enable |
ssidList | array<string> | no | SSID ID list bound with this Portal. SSID can be created using 'Create new SSID' ('Create new SSID template') interface, and SSID ID can be obtained from 'Get SSID list' ('Get SSID template list') interface |
networkList | array<string> | no | Lan network ID list bound with this Portal. LAN Network can be created using 'Create LAN network' ('Create LAN network template') interface, and LAN Network ID can be obtained from 'Get LAN network list' ('Get LAN network template list') interface |
authType | integer | yes | Auth Type, should be a value as follows: <br/>0:No Authentication; 1:Simple Password;<br/>2: External RADIUS Server; 4:External Portal Server;<br/>11:Hotspot; 15: Ldap; 16: Social Login |
authTimeout | AuthTimeoutSetting | yes | (AuthTimeoutSetting not expanded; call omada_get_schema "AuthTimeoutSetting") |
httpsRedirectEnable | boolean | yes | With this option enabled, unauthenticated clients will be redirected to the Portal page when they are trying to browse HTTPS websites. |
landingPage | integer | yes | LandingPage enum: 1: Redirect to the original URL, 2: Redirect to Promotional URL, 3: Redirect to Logout Page. <br/>With The Original URL selected, clients are directed to the URL they request for after they pass Portal authentication. <br/>With The Promotional URL selected, clients are directed to the specified URL here after they pass Portal authentication. <br/>With The Logout Page selected, clients are directed to the Portal Logout Page after they pass Portal authentication. |
landingUrlScheme | string | no | If Parameter [landingPage] is 2(Redirect to Promotional URL),this Parameter is requested, content is http or https. |
landingUrl | string | no | If Parameter [landingPage] is 2(Redirect to Promotional URL),this Parameter is requested. |
noAuth | NoAuthSetting | no | (NoAuthSetting not expanded; call omada_get_schema "NoAuthSetting") |
simplePassword | SimplePasswordSetting | no | (SimplePasswordSetting not expanded; call omada_get_schema "SimplePasswordSetting") |
hotspot | HotspotSetting | no | (HotspotSetting not expanded; call omada_get_schema "HotspotSetting") |
socialLogin | SocialLoginSettingOpenApiVO | no | (SocialLoginSettingOpenApiVO not expanded; call omada_get_schema "SocialLoginSettingOpenApiVO") |
google | GoogleOAuthSettingOpenApiVO | no | (GoogleOAuthSettingOpenApiVO not expanded; call omada_get_schema "GoogleOAuthSettingOpenApiVO") |
sms | SmsSetting | no | (SmsSetting not expanded; call omada_get_schema "SmsSetting") |
portalFormId | string | no | Portal form ID, required when [authType] is 11 and hotspot [enabledTypes] contains 12. |
hotspotRadius | HotspotRadiusSetting | no | (HotspotRadiusSetting not expanded; call omada_get_schema "HotspotRadiusSetting") |
externalPortal | ExternalServerPortalSetting | no | (ExternalServerPortalSetting not expanded; call omada_get_schema "ExternalServerPortalSetting") |
externalRadius | ExternalRadiusSetting | no | (ExternalRadiusSetting not expanded; call omada_get_schema "ExternalRadiusSetting") |
ldap | LdapSetting | no | (LdapSetting not expanded; call omada_get_schema "LdapSetting") |
pageType | integer | no | Page type, should be a value as follows: 1: Use default page, 2: use uploaded page. When [pageType] is null, it defaults to 1 |
importedPortalPage | ImportedPortalPageOpenApiVO | no | (ImportedPortalPageOpenApiVO not expanded; call omada_get_schema "ImportedPortalPageOpenApiVO") |
portalCustomize | PortalCustomizeOpenApiVO | no | (PortalCustomizeOpenApiVO not expanded; call omada_get_schema "PortalCustomizeOpenApiVO") |
// omada_call_operation
{
"operationId": "modifyPortal",
"params": {
"siteId": "<siteId>",
"portalId": "<portalId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify the portal with the portal ID
The interface requires one of the permissions:
Site Hotspot Manager Modify
getPortalCustomization
GET /openapi/v1/{omadacId}/sites/{siteId}/portal/{portalId}/customization
Get portal customization
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
portalId | path | string | yes | Portal ID |
// omada_call_operation
{
"operationId": "getPortalCustomization",
"params": {
"siteId": "<siteId>",
"portalId": "<portalId>"
}
}Details, permissions and error codes
Get portal customization information with the given omadacId, siteId and portalId.
The interface requires one of the permissions:
Site Hotspot Manager View Only
uploadPortalPage
POST /openapi/v1/{omadacId}/sites/{siteId}/portal/page
Import portal page
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — multipart/form-data (optional). File field(s): file.
// omada_call_operation
{
"operationId": "uploadPortalPage",
"params": {
"siteId": "<siteId>"
},
"files": {
"file": {
"path": "/path/to/file"
}
}
}Details, permissions and error codes
Import portal page
The interface requires one of the permissions:
Site Hotspot Manager Modify
uploadPortalPic
POST /openapi/v1/{omadacId}/sites/{siteId}/portal/pics
Upload portal picture
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
type | query | string | yes | Portal picture type: background/logo/advertisement. |
Request body — multipart/form-data (optional). File field(s): file.
// omada_call_operation
{
"operationId": "uploadPortalPic",
"params": {
"siteId": "<siteId>",
"type": "<type>"
},
"files": {
"file": {
"path": "/path/to/file"
}
}
}Details, permissions and error codes
Upload portal picture
The interface requires one of the permissions:
Site Hotspot Manager Modify
getGlobalPortalDomainSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/portal/setting/domain
Get Portal Domain
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getGlobalPortalDomainSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get portal domain setting with the given omadacId and siteId.
The interface requires one of the permissions:
Network Config Page View Only
getPortalList
GET /openapi/v1/{omadacId}/sites/{siteId}/portals
Get portal list in a site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getPortalList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get portal list with the given omadacId, siteId.
The interface requires one of the permissions:
Site Hotspot Manager View Only
getPortalListWithLogoutEnabled
GET /openapi/v1/{omadacId}/sites/{siteId}/portals/logout-enabled
Gets a list of logout enabled portals on the site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getPortalListWithLogoutEnabled",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Gets a list of logout enabled portals on the site
The interface requires one of the permissions:
Site Device Manager View Only